Skip to main content
GET
/
alerts
/
{alertId}
/
acknowledgment
/
download
Get presigned download URL for an alert acknowledgment file
curl --request GET \
  --url https://api.artu.ai/alerts/{alertId}/acknowledgment/download \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "url": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "filename": "<string>",
  "contentType": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

alertId
string<uuid>
required

Response

200 - application/json

OK

url
string<uri>
required

URL

expiresAt
string<date-time>
required

Expires At

filename
string
required

Filename

contentType
string
required

Content Type